#include "level.h"

Level::Level()
{}

void Level::placeBridge(coordinate x, coordinate y)
{
    map[x][y] = CellType::Bridge;
}

CellType Level::cellOfType(coordinate x, coordinate y) const
{
    return map[x][y];
}

void Level::removeCharge(coordinate x, coordinate y)
{
    map[x][y] = CellType::Ground;
}

Map& Level::mapArray()
{
    return map;
}

void Level::setMap(const Map &new_map)
{
    map = std::move(new_map);
}
